Subject: Re: [PATCH v2 27/28] dt-bindings: net: fsl,qmc-hdlc: Add framer support

From: Herve Codina <[email-masked]>
Date: Thu, 27 Jul 2023 11:19:55 +0200

Hi Conor,

On Thu, 27 Jul 2023 09:12:01 +0100
Conor Dooley <[email-masked]> wrote:

> On Wed, Jul 26, 2023 at 05:02:23PM +0200, Herve Codina wrote:
> > A framer can be connected to the QMC HDLC.
> > If present, this framer is the interface between the TDM used by the QMC
> > HDLC and the E1/T1 line.
> > The QMC HDLC can use this framer to get information about the line and
> > configure the line.
> > 
> > Add an optional framer property to reference the framer itself.
> > 
> > Signed-off-by: Herve Codina <[email-masked]>  
> 
> Why not fully describe the hardware in one patch in this series, rather
> than split this over two different ones?

I agree, this can be squashed with a previous commit.
My intention was to keep things separated in this first series.

The framer property makes sense only if the stuff related the generic framer
(previous patches) are accepted whereas the QMC HDLC previous binding can be
accepted without this framer property.
I though it would be easier to review the full series with separated
modifications.

That's said, I will squash this patch with the patch 5 ("dt-bindings: net:
Add support for QMC HDLC") in the next iteration.

Best regards,
Hervé

> 
> > ---
> >  Documentation/devicetree/bindings/net/fsl,qmc-hdlc.yaml | 5 +++++
> >  1 file changed, 5 insertions(+)
> > 
> > diff --git a/Documentation/devicetree/bindings/net/fsl,qmc-hdlc.yaml b/Documentation/devicetree/bindings/net/fsl,qmc-hdlc.yaml
> > index 8bb6f34602d9..bf29863ab419 100644
> > --- a/Documentation/devicetree/bindings/net/fsl,qmc-hdlc.yaml
> > +++ b/Documentation/devicetree/bindings/net/fsl,qmc-hdlc.yaml
> > @@ -27,6 +27,11 @@ properties:
> >        Should be a phandle/number pair. The phandle to QMC node and the QMC
> >        channel to use.
> >  
> > +  framer:
> > +    $ref: /schemas/types.yaml#/definitions/phandle
> > +    description:
> > +      phandle to the framer node
> > +
> >  required:
> >    - compatible
> >    - fsl,qmc-chan
> > -- 
> > 2.41.0
> >